> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Organization

> Gets details about a specific organization.

`Unary` · [`Organizations`](/docs/api-reference/generated/organization/overview)

Gets details about a specific organization.

Use this method to:

* Retrieve organization settings and configuration
* Check organization membership status
* View domain verification settings

### Examples

* Get organization details:

  Retrieves information about a specific organization.

  ```yaml theme={null}
  organizationId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.OrganizationService/GetOrganization
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.OrganizationService/GetOrganization" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "organizationId": "<organization-id>"
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.organization_pb2 as organization_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = organization_pb2.GetOrganizationRequest(
      organization_id="<organization-id>",
  )
  response = ona.services.organization.get_organization(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { GetOrganizationRequestSchema } from "@gitpod/sdk/gitpod/v1/organization_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(GetOrganizationRequestSchema, {
      organizationId: "<organization-id>",
    });
    const response = await ona.services.organization.getOrganization(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.GetOrganizationRequest{
  		OrganizationId: "<organization-id>",
  	})
  	response, err := ona.Services.Organization.GetOrganization(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "organizationId": "<organization-id>"
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.GetOrganizationRequest`

| Field            | Type   | Required | Description                                                                                                                |
| ---------------- | ------ | -------- | -------------------------------------------------------------------------------------------------------------------------- |
| `organizationId` | string | Yes      | organization\_id is the unique identifier of the Organization to retreive. Constraints: `required=true, string.uuid=true`. |

## Response

`gitpod.v1.GetOrganizationResponse`

| Field          | Type                                         | Required | Description                                                              |
| -------------- | -------------------------------------------- | -------- | ------------------------------------------------------------------------ |
| `organization` | [Organization](#type-gitpod-v1-organization) | Yes      | organization is the requested organization Constraints: `required=true`. |

## Related types

<a id="type-gitpod-v1-invite-domains" />

<Accordion title="InviteDomains">
  `gitpod.v1.InviteDomains`

  | Field     | Type            | Required | Description                                                                                                                                                                                                                                                                                             |
  | --------- | --------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `domains` | array of string | No       | domains is the list of domains that are allowed to join the organization Constraints: `repeated.items.string.max_len=253, repeated.items.string.min_len=4, repeated.items.string.pattern=^(?:[a-zA-Z0-9](?:[a-zA-Z0-9-]&#123;0,61&#125;[a-zA-Z0-9])?\.)+[a-zA-Z]&#123;2,&#125;$, repeated.unique=true`. |
</Accordion>

<a id="type-gitpod-v1-organization" />

<Accordion title="Organization">
  `gitpod.v1.Organization`

  | Field           | Type                                                  | Required | Description                                                                           |
  | --------------- | ----------------------------------------------------- | -------- | ------------------------------------------------------------------------------------- |
  | `id`            | string                                                | Yes      | Constraints: `required=true, string.uuid=true`.                                       |
  | `name`          | string                                                | Yes      | Constraints: `required=true`.                                                         |
  | `createdAt`     | RFC 3339 timestamp                                    | Yes      | Constraints: `required=true`.                                                         |
  | `updatedAt`     | RFC 3339 timestamp                                    | Yes      | Constraints: `required=true`.                                                         |
  | `inviteDomains` | [InviteDomains](#type-gitpod-v1-invite-domains)       | No       |                                                                                       |
  | `tier`          | [OrganizationTier](#enum-gitpod-v1-organization-tier) | Yes      | The tier of the organization - free, enterprise or core Constraints: `required=true`. |
</Accordion>

<a id="enum-gitpod-v1-organization-tier" />

<Accordion title="OrganizationTier">
  | Value                           | Number | Description |
  | ------------------------------- | -----: | ----------- |
  | `ORGANIZATION_TIER_UNSPECIFIED` |      0 |             |
  | `ORGANIZATION_TIER_FREE`        |      1 |             |
  | `ORGANIZATION_TIER_ENTERPRISE`  |      2 |             |
  | `ORGANIZATION_TIER_CORE`        |      3 |             |
  | `ORGANIZATION_TIER_FREE_ONA`    |      4 |             |
</Accordion>
